using SqlSugar;
using System;

namespace DeviceRepair.Models.Plan.View
{
    [SugarTable("View_AM_PLAN")]
    public class View_AM_PLAN
    {
        [SugarColumn(ColumnName = "AutoID")]
        public int AutoID { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentID")]
        public int EquipmentID { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "DisplayEquipmentID")]
        public string DisplayEquipmentID { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentName")]
        public string EquipmentName { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "VersionCode")]
        public string VersionCode { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "MaintenanceYear")]
        public int MaintenanceYear { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "MaintenanceMonth")]
        public int MaintenanceMonth { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "MaintenanceType")]
        public string MaintenanceType { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "PMStartMonth")]
        public string PMStartMonth { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatUser")]
        public int CreatUser { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatDate")]
        public DateTime CreatDate { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ChangeDate")]
        public DateTime? ChangeDate { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ChangeUser")]
        public int? ChangeUser { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ChangeUserName")]
        public string ChangeUserName { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Remarks")]
        public string Remarks { get; set; }
    }
}
